com.aliyun.svideosdk.common.struct.common

## Class AliyunLayoutParam

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunLayoutParam

-     public class AliyunLayoutParam
      extends java.lang.Object

  A class that defines layout params. Added in v3.22.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunLayoutParam.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunLayoutParam.Builder` | `builder()`
    `float` | `getCenterX()` Get the x coordinate of the centroid relative to the origin in the upper left corner.
    `float` | `getCenterY()` Get the y coordinate of the centroid relative to the origin in the upper left corner Default value: 0.5
    `VideoDisplayMode` | `getDisplayMode()`
    `float` | `getHeightRatio()` Get the height relative to the video output height Default value: 1.0
    `int` | `getLayoutLevel()`
    `float` | `getWidthRatio()` Get the width relative to the video output width Default value: 1.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCenterX

          public float getCenterX()

      Get the x coordinate of the centroid relative to the origin in the upper left corner. Default value: 0.5

    - #### getCenterY

          public float getCenterY()

      Get the y coordinate of the centroid relative to the origin in the upper left corner Default value: 0.5

    - #### getWidthRatio

          public float getWidthRatio()

      Get the width relative to the video output width Default value: 1.0

    - #### getHeightRatio

          public float getHeightRatio()

      Get the height relative to the video output height Default value: 1.0

    - #### getLayoutLevel

          public int getLayoutLevel()

    - #### getDisplayMode

          public VideoDisplayMode getDisplayMode()

    - #### builder

          public static AliyunLayoutParam.Builder builder()